#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
#
from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    Integer,
    TextAscii,
    Tuple,
)

from cmk.gui.plugins.wato.utils import (
    CheckParameterRulespecWithItem,
    RulespecGroupCheckParametersNetworking,
    rulespec_registry,
)


def _parameter_valuespec_cisco_asyncos_queue():
    return Dictionary(elements=[
        ('levels',
         Tuple(
             title=_('Levels for nuber of messages in work queue'),
             elements=[
                 Integer(title=_('Warning at'), default_value=50, unit=_('# of messages')),
                 Integer(title=_('Critical at'), default_value=100, unit=_('# of messages')),
             ])),
    ])


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name='cisco_asyncos_queue',
        group=RulespecGroupCheckParametersNetworking,
        item_spec=lambda: TextAscii(title=_('Cisco AsyncOS queue'), ),
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_cisco_asyncos_queue,
        title=lambda: _('Cisco AsyncOS queue'),
    ))
